Skip to main content

Cancel a Payment

PUT 

/v2/payments/:uid/cancel

Asynchronous Processing: This endpoint is processed asynchronously and creates a cancellation command for the Payment. The cancellation of a Payment is done asynchronously, that is, when receiving the request, our API stores the request and creates a Command. This command is processed in the background and after being confirmed, the Payment has its status changed to Canceled. You receive the ID of the created command in the response of this request and can consult it at any time.

Webhook Events

When the request is made, a payment.{type}.cancel.requested event is triggered (where {type} can be pix, bank_billet, etc). Our server then starts attempts to send the cancellation to the financial institution. Only after confirmed at the financial institution, then the payment is marked as canceled in our database. At this moment the payment.{type}.cancel.confirmed event is triggered.

⚠️ Attention to Canceled status: The Canceled status is terminal. The payment can no longer be processed after cancellation.

Request

Responses

Payment cancelled without provider interaction